package radiazioni;

import java.io.*;
import java.util.*;

public class Misura
{
	double max = Double.MIN_VALUE;
	double[] valGiorno;
	int[] inizioMese = {
/*Gennaio*/0,
/*Febbraio*/	31,
/*Marzo*/(31+28),
/*Aprile*/(31+28+31),
/*Maggio*/(31+28+31+30), 
/*Giugno*/(31+28+31+30+31),
/*Luglio*/(31+28+31+30+31+30),
/*Agosto*/(31+28+31+30+31+30+31),
/*Settembre*/(31+28+31+30+31+30+31+31),
/*Ottobre*/(31+28+31+30+31+30+31+31+30),
/*Novembre*/(31+28+31+30+31+30+31+31+30+31),
/*Dicembre*/(31+28+31+30+31+30+31+31+30+31+30),
/*Fine anno*/365
};

	public Misura()
	{
		valGiorno = new double[365];

		//se il valore di background non e' 0, allora inserisco qui
		//un loop di inizializzazione esplicita. Sullo heap l'inizializzazione
		//a 0 e' automatica
	}

	public void leggiValore(Scanner s)
	{
		//...
		String line  = null;
		//assumo che il file sia formattato correttamente e non eseguo controlli
		line = s.nextLine();
		int giorno = Integer.parseInt(line);
		//non faccio controlli sulle misurazioni duplicate
		valGiorno[giorno] = Double.parseDouble(s.nextLine());
		if(valGiorno[giorno] > max)
		{
			max = valGiorno[giorno];
		}
	}

	/* assumo i dati siano inseriti solo con lettura da file
	public addValGiorno(int giorno, double val)
	{
	}
	*/

	public double mediaSuAnno()
	{
		double retval = 0;
		int i = 0;
		for(i=0;i<365;i++)
		{
			retval += valGiorno[i];
		}
		return retval/365;
	}

	public double mediaSuMese(int mese)
	{
		double retval = 0;
		//...
		for(int i = inizioMese[mese];i<inizioMese[mese+1];i++)
		{
			retval += valGiorno[i];
		}
		retval = retval/(inizioMese[mese+1]-inizioMese[mese]);
		return retval;
	}

	public boolean isLethal(double threshold)
	{
		return max > threshold;
	}

	/*
	public boolean isLetale()
	{
		boolean retval = false;
		//...
		return retval;
	}
	*/

	public String toString()
	{
		String retval = "{";
		int i = 0;
		for(i=0;i<364;i++)
		{
			retval = retval.concat(valGiorno[i] + ", ");
		}
		retval = retval.concat(valGiorno[i] + "}");
		return retval;
	}
}
